package com.huimv.wine.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 设备
 * </p>
 *
 * @author author
 * @since 2024-04-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("device")
public class Device implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id")
    private String id;

    /**
     * 地址
     */
    private String addr;

    /**
     * 上线时间
     */
    private Date first;

    /**
     * 上次活跃
     */
    private Date last;

    /**
     * 第一桶酒id
     */
    private Integer wine1;

    /**
     * 第一桶酒余量
     */
    private Integer remain1;

    /**
     * 每一个脉冲对应多少酒
     */
    private Integer vpp1;

    private Integer wine2;

    private Integer remain2;

    private Integer vpp2;

    private Integer wine3;

    private Integer remain3;

    private Integer vpp3;

    private Integer wine4;

    private Integer remain4;

    private Integer vpp4;

    /**
     * 管理员id
     */
    private String manager;

    /**
     * 备注
     */
    private String mark;

    /**
     * 订单量
     */
    private Integer order;

    /**
     * 收入量
     */
    private Long income;


}
