package com.huimv.wine.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;

import java.sql.Date;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 管理员
 * </p>
 *
 * @author author
 * @since 2024-04-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("manager")
public class Manager implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private String id;

    /**
     * 超级管理员 0
     */
    @TableField(value =  "super")
    private Boolean isSuper;

    /**
     * 注册时间
     */
    private Date first;

    /**
     * 最近活跃
     */
    private LocalDateTime last;

    private String name;

    private String account;

    private String password;

    /**
     * 订单量
     */
    private Integer order;

    /**
     * 收入
     */
    private Long income;


}
