package com.huimv.wine.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 用户表
 * </p>
 *
 * @author author
 * @since 2024-04-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("user")
public class User implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 微信用户id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private String id;

    /**
     * 第一付款时间
     */
    private LocalDateTime first;

    /**
     * 最近付款时间
     */
    private LocalDateTime last;

    /**
     * 是否vip 1是
     */
    private Boolean vip;

    /**
     * 余额
     */
    private Long cash;

    /**
     * 单次最大消费
     */
    private Integer maxCost;

    /**
     * 消费次数
     */
    private Integer buyCount;

    /**
     * 消费总额
     */
    private Long buyCost;

    /**
     * 退款次数
     */
    private Integer refundCount;

    /**
     * 退款总额
     */
    private Long refundCost;


}
