package com.huimv.wine.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 酒
 * </p>
 *
 * @author author
 * @since 2024-04-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("wine")
public class Wine implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 名字
     */
    private String name;

    /**
     * 单价
     */
    private Integer price;

    /**
     * 浓度
     */
    private Integer degree;

    /**
     * 密度
     */
    private Integer density;

    /**
     * 图片路径
     */
    private String picture;

    /**
     * 时间
     */
    private LocalDateTime time;

    /**
     * 简介
     */
    private String describe;

    /**
     * 订单量
     */
    private Integer order;

    /**
     * 收入
     */
    private Long income;

    /**
     * 是否删除  1删除  0未删
     */
    private Boolean deleted;


}
