package com.huimv.wine.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 上酒工
 * </p>
 *
 * @author author
 * @since 2024-04-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("worker")
public class Worker implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private String id;

    /**
     * 创建时间
     */
    private LocalDateTime first;

    /**
     * 最近活跃
     */
    private LocalDateTime last;

    private String name;

    private String phone;

    private String password;

    /**
     * 所属管理员
     */
    private String manager;

    /**
     * 完成换酒次数
     */
    private Integer count;

    /**
     * 待完成次数
     */
    private Integer todo;

    /**
     * 平均换酒时间
     */
    private Integer avgCost;

    /**
     * 最长换酒时间
     */
    private Integer maxCost;


}
