package com.huimv.wine.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huimv.wine.entity.Trade;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.wine.entity.vo.QueryAdminVo;
import com.huimv.wine.entity.vo.RankAdminsVo;
import com.huimv.wine.entity.vo.RankDevicesVo;
import com.huimv.wine.entity.vo.TradeQueryForAdminResult;
import com.huimv.wine.entity.vo.TradeQueryVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 交易表 Mapper 接口
 * </p>
 *
 * @author author
 * @since 2024-04-18
 */
public interface TradeMapper extends BaseMapper<Trade> {

    List<RankAdminsVo> rankAdmins(String start, String end);

    List<RankDevicesVo> rankDevices(String start, String end);

    List<RankAdminsVo> rankWines(String start, String end);

    List<QueryAdminVo> queryAdmins(@Param(Constants.WRAPPER) QueryWrapper<Trade> queryWrapper);

    List<QueryAdminVo> queryAdmins2(String id, Integer days,String type);

    List<QueryAdminVo> queryAdmins3(String id, Integer days,String type);

    List<QueryAdminVo> queryAdmins4(String id, Integer days,String type);

    Page<TradeQueryForAdminResult> tradeQueryForAdmin(Page<TradeQueryForAdminResult> page, String managerId, String like, String uid);
    List<TradeQueryVo> tradeQuery(Page<TradeQueryVo> page, String uid, String cond);

    List<RankAdminsVo> TradeRankWinesForAdmin(String manager, String start, String end);
}
