package com.huimv.wine.utils;

import java.math.BigInteger;
import java.nio.charset.StandardCharsets;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;
import java.util.Random;
  
public class Utils {  
    private static final String ALPHA_NUMERIC_STRING = "QWERTYUIOPLKJHGFDSAZXCVBNM0123456789zxcvbnmlkjhgfdsaqwertyuiop";
    private static final int ALPHA_NUMERIC_STRING_LENGTH = ALPHA_NUMERIC_STRING.length();  
    private static final Random RANDOM = new Random();  
  
    /**  
     * 生成指定长度的随机字符串，只包含字母和数字。  
     *  
     * @param length 字符串长度  
     * @return 随机生成的字符串  
     */  
    public static String randomString(int length) {  
        StringBuilder builder = new StringBuilder();  
        while (length-- > 0) {  
            int index = (int) (RANDOM.nextFloat() * ALPHA_NUMERIC_STRING_LENGTH);  
            char randomChar = ALPHA_NUMERIC_STRING.charAt(index);  
            builder.append(randomChar);  
        }  
        return builder.toString();  
    }

    public static String randomString() {
        Random random = new Random();
        StringBuilder builder = new StringBuilder();
        for (int i=0; i<6; i++)
        {
            builder.append(random.nextInt(10));
        }
        return builder.toString();
    }
    public static String hashPassword(String password) throws NoSuchAlgorithmException {
        MessageDigest digest = MessageDigest.getInstance("SHA-512");

        // 使用密码的字节更新digest
        byte[] passwordBytes = password.getBytes(StandardCharsets.UTF_8);
        digest.update(passwordBytes, 0, passwordBytes.length);

        // 完成哈希计算并获取结果
        byte[] hash = digest.digest();

        // 将字节数组转换为十六进制字符串
        BigInteger number = new BigInteger(1, hash);
        String hashtext = number.toString(16);

        return hashtext;
    }

}